<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.Extras.AvatarLoader Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_extras_1_1_avatar_loader.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="class_tri_lib_1_1_extras_1_1_avatar_loader-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.Extras.AvatarLoader Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents an avatar loader behaviour.  
 <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.Extras.AvatarLoader:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_extras_1_1_avatar_loader.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a71953f37279d2c1960e0fb1a8e51297d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a71953f37279d2c1960e0fb1a8e51297d">LoadAvatarFromMemory</a> (byte[] data, string extension, GameObject templateAvatar)</td></tr>
<tr class="memdesc:a71953f37279d2c1960e0fb1a8e51297d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads the avatar from specified filename.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a71953f37279d2c1960e0fb1a8e51297d">More...</a><br /></td></tr>
<tr class="separator:a71953f37279d2c1960e0fb1a8e51297d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0f744dc362b0523c417abd81e908c17"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#ae0f744dc362b0523c417abd81e908c17">LoadAvatar</a> (string filename, GameObject templateAvatar)</td></tr>
<tr class="memdesc:ae0f744dc362b0523c417abd81e908c17"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads the avatar from specified filename.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#ae0f744dc362b0523c417abd81e908c17">More...</a><br /></td></tr>
<tr class="separator:ae0f744dc362b0523c417abd81e908c17"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a737b8b1f730a32ae48c05cd393b2092c"><td class="memItemLeft" align="right" valign="top">GameObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a737b8b1f730a32ae48c05cd393b2092c">CurrentAvatar</a></td></tr>
<tr class="memdesc:a737b8b1f730a32ae48c05cd393b2092c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Current Avatar reference.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a737b8b1f730a32ae48c05cd393b2092c">More...</a><br /></td></tr>
<tr class="separator:a737b8b1f730a32ae48c05cd393b2092c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add755bd690c0030808ad230041e4a8fd"><td class="memItemLeft" align="right" valign="top">RuntimeAnimatorController&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#add755bd690c0030808ad230041e4a8fd">RuntimeAnimatorController</a></td></tr>
<tr class="memdesc:add755bd690c0030808ad230041e4a8fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">AnimationController that will be assigned to the loaded object.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#add755bd690c0030808ad230041e4a8fd">More...</a><br /></td></tr>
<tr class="separator:add755bd690c0030808ad230041e4a8fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab06db973309cf4c51111cf208a361042"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#ab06db973309cf4c51111cf208a361042">ArmStretch</a> = 0.05f</td></tr>
<tr class="memdesc:ab06db973309cf4c51111cf208a361042"><td class="mdescLeft">&#160;</td><td class="mdescRight">Amount by which the arm's length is allowed to stretch when using IK.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#ab06db973309cf4c51111cf208a361042">More...</a><br /></td></tr>
<tr class="separator:ab06db973309cf4c51111cf208a361042"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39147692e7d1f6e75b82e82fb9701f44"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a39147692e7d1f6e75b82e82fb9701f44">FeetSpacing</a> = 0f</td></tr>
<tr class="memdesc:a39147692e7d1f6e75b82e82fb9701f44"><td class="mdescLeft">&#160;</td><td class="mdescRight">Modification to the minimum distance between the feet of a humanoid model.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a39147692e7d1f6e75b82e82fb9701f44">More...</a><br /></td></tr>
<tr class="separator:a39147692e7d1f6e75b82e82fb9701f44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a024ddc37f4f364cb8e9bde4b35a04275"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a024ddc37f4f364cb8e9bde4b35a04275">HasTranslationDof</a> = false</td></tr>
<tr class="memdesc:a024ddc37f4f364cb8e9bde4b35a04275"><td class="mdescLeft">&#160;</td><td class="mdescRight">True for any human that has a translation Degree of Freedom (DoF).  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a024ddc37f4f364cb8e9bde4b35a04275">More...</a><br /></td></tr>
<tr class="separator:a024ddc37f4f364cb8e9bde4b35a04275"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06e71fa812bf44caab6d867df456ec54"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a06e71fa812bf44caab6d867df456ec54">LegStretch</a> = 0.5f</td></tr>
<tr class="memdesc:a06e71fa812bf44caab6d867df456ec54"><td class="mdescLeft">&#160;</td><td class="mdescRight">Amount by which the leg's length is allowed to stretch when using IK.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a06e71fa812bf44caab6d867df456ec54">More...</a><br /></td></tr>
<tr class="separator:a06e71fa812bf44caab6d867df456ec54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35e4616ffc830804abaef25c4827bb48"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a35e4616ffc830804abaef25c4827bb48">LowerArmTwist</a> = 0.5f</td></tr>
<tr class="memdesc:a35e4616ffc830804abaef25c4827bb48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines how the lower arm's roll/twisting is distributed between the elbow and wrist joints.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a35e4616ffc830804abaef25c4827bb48">More...</a><br /></td></tr>
<tr class="separator:a35e4616ffc830804abaef25c4827bb48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a541804976529f38a90c182c273a2755a"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a541804976529f38a90c182c273a2755a">LowerLegTwist</a> = 0.5f</td></tr>
<tr class="memdesc:a541804976529f38a90c182c273a2755a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines how the lower leg's roll/twisting is distributed between the knee and ankle.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a541804976529f38a90c182c273a2755a">More...</a><br /></td></tr>
<tr class="separator:a541804976529f38a90c182c273a2755a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4ffb3172579da4596b4dabaf1149c73"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#ac4ffb3172579da4596b4dabaf1149c73">UpperArmTwist</a> = 0.5f</td></tr>
<tr class="memdesc:ac4ffb3172579da4596b4dabaf1149c73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines how the lower arm's roll/twisting is distributed between the shoulder and elbow joints.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#ac4ffb3172579da4596b4dabaf1149c73">More...</a><br /></td></tr>
<tr class="separator:ac4ffb3172579da4596b4dabaf1149c73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69b4be6c4355eb2136fb0d1c7a1e412e"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a69b4be6c4355eb2136fb0d1c7a1e412e">UpperLegTwist</a> = 0.5f</td></tr>
<tr class="memdesc:a69b4be6c4355eb2136fb0d1c7a1e412e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines how the upper leg's roll/twisting is distributed between the thigh and knee joints.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a69b4be6c4355eb2136fb0d1c7a1e412e">More...</a><br /></td></tr>
<tr class="separator:a69b4be6c4355eb2136fb0d1c7a1e412e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae40cbb03909baa43f0e3888ad23a563b"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#ae40cbb03909baa43f0e3888ad23a563b">Scale</a> = 0.01f</td></tr>
<tr class="memdesc:ae40cbb03909baa43f0e3888ad23a563b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Object loading scale.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#ae40cbb03909baa43f0e3888ad23a563b">More...</a><br /></td></tr>
<tr class="separator:ae40cbb03909baa43f0e3888ad23a563b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98d1e479dbbd3b22ef91e26c9050975b"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a98d1e479dbbd3b22ef91e26c9050975b">HeightOffset</a> = 0.01f</td></tr>
<tr class="memdesc:a98d1e479dbbd3b22ef91e26c9050975b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Offset applied to CapsuleCollider height.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a98d1e479dbbd3b22ef91e26c9050975b">More...</a><br /></td></tr>
<tr class="separator:a98d1e479dbbd3b22ef91e26c9050975b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23e3c9e83fc9dcb5c505dc20400fb03e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship_list.html">BoneRelationshipList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a23e3c9e83fc9dcb5c505dc20400fb03e">CustomBoneNames</a></td></tr>
<tr class="memdesc:a23e3c9e83fc9dcb5c505dc20400fb03e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to define custom Human Bone to Unity Bone relationship, you can follow the tempĺates bellow.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a23e3c9e83fc9dcb5c505dc20400fb03e">More...</a><br /></td></tr>
<tr class="separator:a23e3c9e83fc9dcb5c505dc20400fb03e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a6f3bd9cfc98d9642f467918d5184c494"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a6f3bd9cfc98d9642f467918d5184c494">Start</a> ()</td></tr>
<tr class="memdesc:a6f3bd9cfc98d9642f467918d5184c494"><td class="mdescLeft">&#160;</td><td class="mdescRight">Setups the Avatar Loader.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a6f3bd9cfc98d9642f467918d5184c494">More...</a><br /></td></tr>
<tr class="separator:a6f3bd9cfc98d9642f467918d5184c494"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents an avatar loader behaviour. </p>
<p >The main class used to load avatars. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ae0f744dc362b0523c417abd81e908c17" name="ae0f744dc362b0523c417abd81e908c17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0f744dc362b0523c417abd81e908c17">&#9670;&nbsp;</a></span>LoadAvatar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.Extras.AvatarLoader.LoadAvatar </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GameObject&#160;</td>
          <td class="paramname"><em>templateAvatar</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads the avatar from specified filename. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Avatar filename.</td></tr>
    <tr><td class="paramname">templateAvatar</td><td>Template UnityEngine.GameObject.</td></tr>
  </table>
  </dd>
</dl>
<p><br  />
 </p><dl class="section return"><dt>Returns</dt><dd><code>true</code>, if avatar was loaded, <code>false</code> otherwise.</dd></dl>

</div>
</div>
<a id="a71953f37279d2c1960e0fb1a8e51297d" name="a71953f37279d2c1960e0fb1a8e51297d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71953f37279d2c1960e0fb1a8e51297d">&#9670;&nbsp;</a></span>LoadAvatarFromMemory()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.Extras.AvatarLoader.LoadAvatarFromMemory </td>
          <td>(</td>
          <td class="paramtype">byte[]&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>extension</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GameObject&#160;</td>
          <td class="paramname"><em>templateAvatar</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads the avatar from specified filename. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td>Avatar file data.</td></tr>
    <tr><td class="paramname">extension</td><td>File extension.</td></tr>
    <tr><td class="paramname">templateAvatar</td><td>Template UnityEngine.GameObject.</td></tr>
  </table>
  </dd>
</dl>
<p><br  />
 </p><dl class="section return"><dt>Returns</dt><dd><code>true</code>, if avatar was loaded, <code>false</code> otherwise.</dd></dl>

</div>
</div>
<a id="a6f3bd9cfc98d9642f467918d5184c494" name="a6f3bd9cfc98d9642f467918d5184c494"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f3bd9cfc98d9642f467918d5184c494">&#9670;&nbsp;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Extras.AvatarLoader.Start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Setups the Avatar Loader. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab06db973309cf4c51111cf208a361042" name="ab06db973309cf4c51111cf208a361042"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab06db973309cf4c51111cf208a361042">&#9670;&nbsp;</a></span>ArmStretch</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TriLib.Extras.AvatarLoader.ArmStretch = 0.05f</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Amount by which the arm's length is allowed to stretch when using IK. </p>

</div>
</div>
<a id="a737b8b1f730a32ae48c05cd393b2092c" name="a737b8b1f730a32ae48c05cd393b2092c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a737b8b1f730a32ae48c05cd393b2092c">&#9670;&nbsp;</a></span>CurrentAvatar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GameObject TriLib.Extras.AvatarLoader.CurrentAvatar</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Current Avatar reference. </p>

</div>
</div>
<a id="a23e3c9e83fc9dcb5c505dc20400fb03e" name="a23e3c9e83fc9dcb5c505dc20400fb03e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23e3c9e83fc9dcb5c505dc20400fb03e">&#9670;&nbsp;</a></span>CustomBoneNames</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship_list.html">BoneRelationshipList</a> TriLib.Extras.AvatarLoader.CustomBoneNames</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to define custom Human Bone to Unity Bone relationship, you can follow the tempĺates bellow. </p>

</div>
</div>
<a id="a39147692e7d1f6e75b82e82fb9701f44" name="a39147692e7d1f6e75b82e82fb9701f44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39147692e7d1f6e75b82e82fb9701f44">&#9670;&nbsp;</a></span>FeetSpacing</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TriLib.Extras.AvatarLoader.FeetSpacing = 0f</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Modification to the minimum distance between the feet of a humanoid model. </p>

</div>
</div>
<a id="a024ddc37f4f364cb8e9bde4b35a04275" name="a024ddc37f4f364cb8e9bde4b35a04275"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a024ddc37f4f364cb8e9bde4b35a04275">&#9670;&nbsp;</a></span>HasTranslationDof</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.Extras.AvatarLoader.HasTranslationDof = false</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>True for any human that has a translation Degree of Freedom (DoF). </p>
<p >It is set to false by default. </p>

</div>
</div>
<a id="a98d1e479dbbd3b22ef91e26c9050975b" name="a98d1e479dbbd3b22ef91e26c9050975b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98d1e479dbbd3b22ef91e26c9050975b">&#9670;&nbsp;</a></span>HeightOffset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TriLib.Extras.AvatarLoader.HeightOffset = 0.01f</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Offset applied to CapsuleCollider height. </p>

</div>
</div>
<a id="a06e71fa812bf44caab6d867df456ec54" name="a06e71fa812bf44caab6d867df456ec54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06e71fa812bf44caab6d867df456ec54">&#9670;&nbsp;</a></span>LegStretch</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TriLib.Extras.AvatarLoader.LegStretch = 0.5f</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Amount by which the leg's length is allowed to stretch when using IK. </p>

</div>
</div>
<a id="a35e4616ffc830804abaef25c4827bb48" name="a35e4616ffc830804abaef25c4827bb48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35e4616ffc830804abaef25c4827bb48">&#9670;&nbsp;</a></span>LowerArmTwist</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TriLib.Extras.AvatarLoader.LowerArmTwist = 0.5f</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines how the lower arm's roll/twisting is distributed between the elbow and wrist joints. </p>

</div>
</div>
<a id="a541804976529f38a90c182c273a2755a" name="a541804976529f38a90c182c273a2755a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a541804976529f38a90c182c273a2755a">&#9670;&nbsp;</a></span>LowerLegTwist</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TriLib.Extras.AvatarLoader.LowerLegTwist = 0.5f</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines how the lower leg's roll/twisting is distributed between the knee and ankle. </p>

</div>
</div>
<a id="add755bd690c0030808ad230041e4a8fd" name="add755bd690c0030808ad230041e4a8fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add755bd690c0030808ad230041e4a8fd">&#9670;&nbsp;</a></span>RuntimeAnimatorController</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RuntimeAnimatorController TriLib.Extras.AvatarLoader.RuntimeAnimatorController</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>AnimationController that will be assigned to the loaded object. </p>

</div>
</div>
<a id="ae40cbb03909baa43f0e3888ad23a563b" name="ae40cbb03909baa43f0e3888ad23a563b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae40cbb03909baa43f0e3888ad23a563b">&#9670;&nbsp;</a></span>Scale</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TriLib.Extras.AvatarLoader.Scale = 0.01f</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Object loading scale. </p>

</div>
</div>
<a id="ac4ffb3172579da4596b4dabaf1149c73" name="ac4ffb3172579da4596b4dabaf1149c73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4ffb3172579da4596b4dabaf1149c73">&#9670;&nbsp;</a></span>UpperArmTwist</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TriLib.Extras.AvatarLoader.UpperArmTwist = 0.5f</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines how the lower arm's roll/twisting is distributed between the shoulder and elbow joints. </p>

</div>
</div>
<a id="a69b4be6c4355eb2136fb0d1c7a1e412e" name="a69b4be6c4355eb2136fb0d1c7a1e412e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69b4be6c4355eb2136fb0d1c7a1e412e">&#9670;&nbsp;</a></span>UpperLegTwist</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TriLib.Extras.AvatarLoader.UpperLegTwist = 0.5f</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines how the upper leg's roll/twisting is distributed between the thigh and knee joints. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLibExtras/Scripts/<a class="el" href="_avatar_loader_8cs.html">AvatarLoader.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="namespace_tri_lib_1_1_extras.html">Extras</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html">AvatarLoader</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
